This section discuss some easy way to setup the game and play, as well as some common way to set things up.

# Servers
- [elichika](https://github.com/YumeMichi/elichika) original server.
- [elichika fork](https://github.com/arina999999997/elichika) recommended server.

# Clients
## Android
- Download one of the elichika compatible [clients](https://github.com/arina999999997/elichika/releases/tag/clients) and install it.
- [Modify that or make your own](apk-patching.md) if necessary.

### iOS setup
- You can download the `ipa` files from [here](https://mega.nz/folder/klACSZzC#Lxv3m-Gq8_7FF_4pcr4X8A) (or from [here](https://ethanthesleepy.one/public/lovelive/jp_allstars_3_12_0.ipa) if you need http enabled)
- Enable developer mode under settings -> privacy & security - very bottom. Older iOS versions may not have this option and do not need to worry about it.
- Use [sideloadly](https://sideloadly.io/) to install the `ipa`.
- Open settings and navigate to the settings for the installed app. You can configure the server url there.
- Note that at the moment it appears the global `ipa` files do not work. The reason is unknown.

### Or
### Setting Up and Installing with AltStore

- AltStore is an alternative app store for iOS devices with a User friendly interface. Which features on device signing.
- You can download AltStore from [here](https://altstore.io/).
- Follow the instructions below to install AltStore on your iOS device and install the SIFAS client from [here](https://mega.nz/folder/klACSZzC#Lxv3m-Gq8_7FF_4pcr4X8A) (or from [here](https://ethanthesleepy.one/public/lovelive/jp_allstars_3_12_0.ipa) if you need http enabled).

## macOS:

Open the downloaded .dmg file.
Drag AltServer to your Applications folder.
Open AltServer from your Applications folder.

## Windows:

Open the downloaded .zip file.
Run the Setup.exe installer.
Open AltServer from your Start menu or desktop.

1. Connect your iOS device to your computer via USB.
   Ensure your device is unlocked and tap "Trust" on the prompt that appears on your device.
2. Install Mail Plug-in (macOS Only)
   Open the Mail app.
   Go to Mail -> Preferences.
   Click on the Manage Plug-ins button at the bottom.
   Enable the AltPlugin.mailbundle.
3. Install AltStore on Your iOS Device

## macOS:

Click the AltServer icon in the menu bar.
Choose Install AltStore and select your connected iOS device.

## Windows:

Click the AltServer icon in the system tray.
Choose Install AltStore and select your connected iOS device.
Enter your Apple ID credentials when prompted (these are sent directly to Apple for authentication).

1. Trust AltStore on Your iOS Device
   Open the Settings app on your iOS device.
   Go to General -> Device Management (or Profiles & Device Management).
   Find your Apple ID under the "Developer App" section.
   Tap on your Apple ID and then tap "Trust."
2. Open AltStore
   You should now see AltStore on your iOS device.


### Install SIFAS (Love Live! School Idol Festival ALL STARS)

- install the SIFAS client from [here](https://mega.nz/folder/klACSZzC#Lxv3m-Gq8_7FF_4pcr4X8A) (or from [here](https://ethanthesleepy.one/public/lovelive/jp_allstars_3_12_0.ipa) if you need http enabled).
- Open AltStore on your iOS device.
- Tap the + icon in the top left corner of AltStore.
- Navigate to the location where you saved the SIFAS IPA file (default is the "Downloads" folder) and select it.
- AltStore will begin the installation process. You may need to enter your Apple ID credentials again.
  Launch SIFAS:
- Once the installation is complete, you can open SIFAS from your home screen.
- If you need to change the server URL, you can do so in the app settings.

### AltStore and AltServer Notes
- Altserver must be running at least once on your computer every 7 days to keep the app signed.
- Altstore will automatically resign the app every 7 days as long as Altserver is running on your computer. You can also do it manually in Altstore by going to the "My Apps" tab and tapping the "X days" button next to the app.

## Setups
These are types of setup, choose one that suit you, or adapt one to your usage.

### (Forked) Elichika - Android with Termux
The server can run inside Termux, on the same phone or emulator that you want to play SIFAS on. After downloading all of the game files, you can play anywhere anytime even without internet.

- Download one of [these clients](https://github.com/arina999999997/elichika/releases/tag/clients) and install it.
- Then follow [this guide](https://github.com/arina999999997/elichika/?tab=readme-ov-file#android).

If that doesn't work, you might have one of the following problems:

- If you can't install the `.apk` then you're out of luck, you will need to find a device (emulator) that is compatible, or [make one yourself](apk-patching.md) from a compatible stock client.
- If anything happen before you run the server binary, your Termux has problem. Make sure you followed Install [the guide](https://github.com/arina999999997/elichika/?tab=readme-ov-file#android) and installed the correct Termux.
- If you are sure you have done things correctly, it might be the case that your device is too new or just have some weird restriction. If this happens, it's probably easier to just use another device that works.

If you are not using `elichika`, you can still use this setup as long as your code can run inside Termux.

### External server (Internet or LAN), play on phone

The server run on your PC (Windows / Linux / MacOS), or some external machine.

You play on your phone or emulator. The clients need to be able to reach the server, either through LAN or the Internet.

- If you are using Android clients, [patch them](apk-patching.md) to point to the correct address.
- If you are using IOS clients, change set settings to point to the correct address.

Generally, if you are using someone else's server then they should provide you with a client that you just need to install, or walk you through how to do this in details.

### Server on PC, play on android phone, through adb
In the case that you want to run server on PC but play on android phone (for development), and you can't get static IP/port, you can rely on [adb](https://developer.android.com/tools/adb).

- Download a client and install it.
- Enable [developer options](https://developer.android.com/studio/debug/dev-options), and turn on `adb`.
- Connect your phone to your pc, accept the USB debugging and run:
```
adb reverse tcp:8080 tcp:8080
```
- This map http://127.0.0.1:8080 in your phone to http://127.0.0.1:8080 in your PC, allow the app to connect to the server. Change the port if necessary.
- If you don't want to have your phone plugged in to your computer, debug the phone through `tcpip` mode. If you are going to do this, it's good to have a static IP for your phone, then you can make a script that connect to your phone and run the server, for convinience.

### Server on PC, play on android emulator
If you want to play on an emulator and don't want to use Termux, you can use either `adb`, or you can bridge the network so your emulator get treated as a device in your LAN. The details on how to do this depend on the emulator, so you should look it up yourself.
